* Encoding: UTF-8.
title 1971 CENSUS OF CANADA- BST: EA-LONG FORM- A2ECNOO2.
subtitle SPSS commands by UTL, rev. 2016-07.

FILE HANDLE in NAME='x\cnd_a2ecn002.asc' lrecl=730. /*replace x with the path to the location where you have stored the data file.

DATA LIST   FILE=IN RECORDS=1/
 SPEC1        1-1 (a) 
 SPEC2        2-2 (a) 
 REGION       3-3 
 SPEC3        4-4 (a) 
 PR           5-5 
 SPEC4        6-7 (a) 
 FED          8-9 
 SPEC5       10-11 (a) 
 EA          12-14 
 BLANKS      15-20 (a)  
 ANAME       21-50 (a) 
 V1  to V63 (t51,63z8.0)
 V64 to V69 (t555,6z8.2)
 V70 to V78 (t603,9z8.0)
 V79 to V85 (t675,7z8.2).
compute PROV=((region*10)+pr).
format PROV (f2.0).
VARIABLE LABELS
 SPEC1  'Special character'
 SPEC2  'Constant (R)'
 REGION 'Region code'
 SPEC3  'Constant (P)'
 PROV   'Province code'
 SPEC4  'Constant (ED)'
 FED    'Electoral district'
 SPEC5  'Constant (EA)'
 EA     'Enumeration area code'
 BLANKS 'Blanks'
 ANAME  'Area name'
  V1        'Males-15+, total inc: zero'
  V2        'Males-15+, total inc: < 3000'
  V3        'Males-15+, total inc: 3000-5999'
  V4        'Males-15+, total inc: 6000-9999'
  V5        'Males-15+, total inc: 10000 & over'
  V6        'Males-15+, total inc: pos. or neg. inc reported'
  V7        'Males-15+ : total'
  V8        'Females- 15+, total inc: zero'
  V9        'Females- 15+, total inc: < 3000'
  V10       'Females- 15+, total inc: 3000-5999'
  V11       'Females- 15+, total inc: 6000-9999'
  V12       'Females- 15+, total inc: 10000 and over'
  V13       'Females- 15+, total inc: pos. or neg. inc reported'
  V14       'Females- 15+: total'
  V15       'Males and females 15+ total inc: zero'
  V16       'Males and females 15+ total inc: < 3000'
  V17       'Males and females 15+ total inc: 3000-5999'
  V18       'Males and females 15+ total inc: 6000-9999'
  V19       'Males and females 15+ total inc: 10000 and over'
  V20       'Males and females 15+ total inc: pos. or neg. tot inc reported'
  V21       'Males and females 15+: total'
  V22       'Males avg inc: avg pos. or neg. total inc'
  V23       'Males avg inc: avg total inc individuals'
  V24       'Females avg inc: avg pos. and neg.total inc'
  V25       'Females avg inc: avg total inc of individuals'
  V26       'Total avg inc: avg pos. & neg. total inc'
  V27       'Total avg inc: avg total inc of individuals'
  V28       'Census family inc: zero'
  V29       'Census family inc: < 3000'
  V30       'Census family inc: 3000-5999'
  V31       'Census family inc: 6000-9999'
  V32       'Census family inc: 10000 and over'
  V33       'Census family inc: pos. & neg. inc reported'
  V34       'Census family : total'
  V35       'Avg cen family inc: avg pos. & neg. inc'
  V36       'Avg cen family inc: avg total family inc'
  V37       'Males 15+ worked in 1970-emp inc: zero'
  V38       'Males 15+ worked in 1970-emp inc: < 3000'
  V39       'Males 15+ worked in 1970-emp inc: 3000-5999'
  V40       'Males 15+ worked in 1970-emp inc: 6000-9999'
  V41       'Males 15+ worked in 1970-emp inc: 10000 & over'
  V42       'Males 15+ worked in 1970-emp inc: pos. & neg. emp inc reported'
  V43       'Males 15+ worked in 1970-emp inc: total'
  V44       'Females 15+ worked in 1970-emp inc: zero'
  V45       'Females 15+ worked in 1970-emp inc: < 3000'
  V46       'Females 15+ worked in 1970-emp inc: 3000-5999'
  V47       'Females 15+ worked in 1970-emp inc: 6000-9999'
  V48       'Females 15+ worked in 1970-emp inc: 10000 & over'
  V49       'Females 15+ worked in 1970-emp inc: pos. & neg emp. inc reported'
  V50       'Females 15+ worked in 1970-emp inc: total'
  V51       'Total ind 15+ worked in 1970-emp inc: zero'
  V52       'Total ind 15+ worked in 1970-emp inc: < 3000'
  V53       'Total ind 15+ worked in 1970-emp inc: 3000-5999'
  V54       'Total ind 15+ worked in 1970-emp inc: 6000-9999'
  V55       'Total ind 15+ worked in 1970-emp inc: 10000 & over'
  V56       'Total ind 15+ worked in 1970-emp inc: pos. & neg. emp inc reported'
  V57       'Total ind 15+ worked in 1970-emp inc: total'
  V58       'Males-avg pos & neg emp inc'
  V59       'Males-avg total emp inc'
  V60       'Females- avg pos & neg emp inc'
  V61       'Females- avg total emp inc'
  V62       'Total- avg pos & neg emp inc'
  V63       'Total- avg total emp inc'
  V64       'Emp inc as % of tot inc: emp inc <3000'
  V65       'Emp inc as % of tot inc: emp inc 3000-5999'
  V66       'Emp inc as % of tot inc: emp inc 6000-9999'
  V67       'Emp inc as % of tot inc: emp inc 10000 & over'
  V68       'Emp inc as % of tot inc: pos & neg emp inc reported'
  V69       'Emp inc as % of tot inc: total'
  V70       'inc of head of cen family: zero'
  V71       'inc of head of cen family: < 3000'
  V72       'inc of head of cen family: 3000-5999'
  V73       'inc of head of cen family: 6000-9999'
  V74       'inc of head of cen family: 10000 & over'
  V75       'inc of head of cen family: pos & neg inc reported'
  V76       'inc of head of cen family: total'
  V77       'Avg pos & neg head of cen fam inc'
  V78       'Avg inc of cen family head'
  V79       'inc of head as % of cen fam: inc zero'
  V80       'inc of head as % of cen fam: < 3000'
  V81       'inc of head as % of cen fam: 3000-5999'
  V82       'inc of head as % of cen fam: 6000-9999'
  V83       'inc of head as % of cen fam: 10000 & over'
  V84       'inc of head as % of cen fam: pos & neg inc reported'
  V85       'Total households'.
VALUE LABELS
    REGION  1     'Maritimes'
            2     'Quebec'
            3     'Ontario'
            4     'Prairies'
            5     'British Columbia'
            6     'Yukon and NWT' /
    PROV  10          'Newfoundland'
          11          'Prince Edward Island'
          12          'Nova Scotia'
          13          'New Brunswick'
          24          'Quebec'
          35          'Ontario'
          46          'Manitoba'
          47          'Saskatchewan'
          48          'Alberta'
          59          'British JColumbia'
          60          'Yukon Territory'
          61          'Northwest Territories'
         /
/*frequencies variables=prov fed region spec1 spec2 spec3 spec4 spec5
/*descriptives variables=v1 to v85.
SAVE OUTFILE='y'. /* Replace y with path and file name (use .sav extension) to save the file.
EXECUTE.
